<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>DPathSearchUnit.DPathTest</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="DPathSearchUnit.DPathTest";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.DPathTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.DPathTest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.search</div>
<h2 title="Class DPathSearchUnit.DPathTest" class="title">Class DPathSearchUnit.DPathTest</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.search.DPathSearchUnit.DPathTest</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></dd>
</dl>
<dl>
<dt>Enclosing class:</dt>
<dd><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearchUnit</a></dd>
</dl>
<hr>
<br>
<pre>public static class <span class="strong">DPathSearchUnit.DPathTest</span>
extends java.lang.Object
implements <a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></pre>
<div class="block">Test a property of node/edge and consequently filter the entry input</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#attr">attr</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#operator">operator</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#val">val</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#DPathSearchUnit.DPathTest(java.lang.String,%20java.lang.String,%20java.lang.String)">DPathSearchUnit.DPathTest</a></strong>(java.lang.String&nbsp;attr,
                         java.lang.String&nbsp;val,
                         java.lang.String&nbsp;operator)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
     java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="attr">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attr</h4>
<pre>private&nbsp;java.lang.String attr</pre>
</li>
</ul>
<a name="val">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>val</h4>
<pre>private&nbsp;java.lang.String val</pre>
</li>
</ul>
<a name="operator">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>operator</h4>
<pre>private&nbsp;java.lang.String operator</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DPathSearchUnit.DPathTest(java.lang.String, java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DPathSearchUnit.DPathTest</h4>
<pre>public&nbsp;DPathSearchUnit.DPathTest(java.lang.String&nbsp;attr,
                         java.lang.String&nbsp;val,
                         java.lang.String&nbsp;operator)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&gt;&nbsp;apply(<a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearch.DPathSearchBaseElement.html" title="class in fr.inria.alpage.frmgcm.search">DPathSearch.DPathSearchBaseElement</a>&nbsp;sentence,
                                                                        java.util.ArrayList&lt;com.mongodb.BasicDBObject&gt;&nbsp;entry)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html#apply(fr.inria.alpage.frmgcm.search.DPathSearch.DPathSearchBaseElement,%20java.util.ArrayList)">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search">DPathSearchUnit.DPathSearchFunction</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DPathSearchUnit.DPathTest.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathSearchFunction.html" title="interface in fr.inria.alpage.frmgcm.search"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/search/IndexSearch.html" title="class in fr.inria.alpage.frmgcm.search"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/search/DPathSearchUnit.DPathTest.html" target="_top">Frames</a></li>
<li><a href="DPathSearchUnit.DPathTest.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
